
local L = LibStub("AceLocale-3.0"):GetLocale("EveryQuest")
local BZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()

local classes = {}
FillLocalizedClassList(classes)

EQ_zones = { -- Dropdown Zone list
	{"Eastern Kingdoms", {
		{5145, BZ["Abyssal Depths"]},
		{36, BZ["Alterac Mountains"]},
		{45, BZ["Arathi Highlands"]},
		{3, BZ["Badlands"]},
		{4, BZ["Blasted Lands"]},
		{46, BZ["Burning Steppes"]},
		{41, BZ["Deadwind Pass"]},
		{2257, BZ["Deeprun Tram"]},
		{1, BZ["Dun Morogh"]},
		{10, BZ["Duskwood"]},
		{139, BZ["Eastern Plaguelands"]},
		{12, BZ["Elwynn Forest"]},
		{3430, BZ["Eversong Woods"]},
		{3433, BZ["Ghostlands"]},
		{4714, BZ["Gilneas"]},
		{4755, BZ["Gilneas City"]},
		{267, BZ["Hillsbrad Foothills"]},
		{1537, BZ["Ironforge"]},
		{4080, BZ["Isle of Quel'Danas"]},
		{4815, BZ["Kelp'thar Forest"]},
		{38, BZ["Loch Modan"]},
		{33, BZ["Northern Stranglethorn"]},
		{95, L["Redridge Canyons"]},
		{44, BZ["Redridge Mountains"]},
		{4706, BZ["Ruins of Gilneas"]},
		{51, BZ["Searing Gorge"]},
		{5144, BZ["Shimmering Expanse"]},
		{3487, BZ["Silvermoon City"]},
		{130, BZ["Silverpine Forest"]},
		{1519, BZ["Stormwind City"]},
		{4411, L["Stormwind Harbor"]},
		{8, BZ["Swamp of Sorrows"]},
		{5287, BZ["The Cape of Stranglethorn"]},
		{47, BZ["The Hinterlands"]},
		{85, BZ["Tirisfal Glades"]},
		{4922, BZ["Twilight Highlands"]},
		{1497, BZ["Undercity"]},
		{28, BZ["Western Plaguelands"]},
		{40, BZ["Westfall"]},
		{11, BZ["Wetlands"]},
	}, BZ["Eastern Kingdoms"]},
	{"Kalimdor", {
		{331, BZ["Ashenvale"]},
		{16, BZ["Azshara"]},
		{3524, BZ["Azuremyst Isle"]},
		{1216, L["Blackmaw Hold"]},
		{3525, BZ["Bloodmyst Isle"]},
		{148, BZ["Darkshore"]},
		{1657, BZ["Darnassus"]},
		{405, BZ["Desolace"]},
		{2577, BZ["Dire Maul"]},
		{14, BZ["Durotar"]},
		{15, BZ["Dustwallow Marsh"]},
		{368, L["Echo Isles"]},
		{361, BZ["Felwood"]},
		{357, BZ["Feralas"]},
		{493, BZ["Moonglade"]},
		{616, BZ["Mount Hyjal"]},
		{215, BZ["Mulgore"]},
		{17, BZ["Northern Barrens"]},
		{1637, BZ["Orgrimmar"]},
		{989, L["Ruins of Uldum"]},
		{1377, BZ["Silithus"]},
		{4709, BZ["Southern Barrens"]},
		{406, BZ["Stonetalon Mountains"]},
		{440, BZ["Tanaris"]},
		{141, BZ["Teldrassil"]},
		{3557, BZ["The Exodar"]},
		{4707, BZ["The Lost Isles"]},
		{400, BZ["Thousand Needles"]},
		{1638, BZ["Thunder Bluff"]},
		{5034, BZ["Uldum"]},
		{490, BZ["Un'Goro Crater"]},
		{618, BZ["Winterspring"]},
	}, BZ["Kalimdor"]},
	{"The Maelstrom", {
		{5042, BZ["Deepholm"]},
		{4737, BZ["Kezan"]},
		{4720, BZ["The Lost Isles"]},
		{5095, BZ["Tol Barad"]},
		{5389, BZ["Tol Barad Peninsula"]},
	}, BZ["The Maelstrom"]},
	{"Outland", {
		{3522, BZ["Blade's Edge Mountains"]},
		{3483, BZ["Hellfire Peninsula"]},
		{3518, BZ["Nagrand"]},
		{3523, BZ["Netherstorm"]},
		{3520, BZ["Shadowmoon Valley"]},
		{3703, BZ["Shattrath City"]},
		{3679, L["Skettis"]},
		{3519, BZ["Terokkar Forest"]},
		{3521, BZ["Zangarmarsh"]},
	}, BZ["Outland"]},
	{"Northrend", {
		{3537, BZ["Borean Tundra"]},
		{4395, BZ["Dalaran"]},
		{65, BZ["Dragonblight"]},
		{394, BZ["Grizzly Hills"]},
		{495, BZ["Howling Fjord"]},
		{210, BZ["Icecrown"]},
		{3711, BZ["Sholazar Basin"]},
		{67, BZ["The Storm Peaks"]},
		{4197, BZ["Wintergrasp"]},
		{66, BZ["Zul'Drak"]},
	}, BZ["Northrend"]},
	{"Battlegrounds", {
		{2597, BZ["Alterac Valley"]},
		{3358, BZ["Arathi Basin"]},
		{-25, L["Battlegrounds"]},
		{3820, BZ["Eye of the Storm"]},
		{4710, BZ["Isle of Conquest"]},
		{4384, BZ["Strand of the Ancients"]},
		{3277, BZ["Warsong Gulch"]},
	}, L["Battlegrounds"]},
	{"Classes", {
		{-372, classes["DEATHKNIGHT"]},
		{-263, classes["DRUID"]},
		{-261, classes["HUNTER"]},
		{-161, classes["MAGE"]},
		{-141, classes["PALADIN"]},
		{-262, classes["PRIEST"]},
		{-162, classes["ROGUE"]},
		{-82, classes["SHAMAN"]},
		{-61, classes["WARLOCK"]},
		{-81, classes["WARRIOR"]},
	}, L["Classes"]},
	{"Dungeons", {
		{"Classic", {
			{719, BZ["Blackfathom Deeps"]},
			{1584, BZ["Blackrock Depths"]},
			{1583, BZ["Blackrock Spire"]},
			{2557, BZ["Dire Maul"]},
			{2100, BZ["Maraudon"]},
			{2437, BZ["Ragefire Chasm"]},
			{722, BZ["Razorfen Downs"]},
			{491, BZ["Razorfen Kraul"]},
			{796, BZ["Scarlet Monastery"]},
			{2057, BZ["Scholomance"]},
			{209, BZ["Shadowfang Keep"]},
			{2017, BZ["Stratholme"]},
			{1581, BZ["The Deadmines"]},
			{717, BZ["The Stockade"]},
			{1337, BZ["Uldaman"]},
			{718, BZ["Wailing Caverns"]},
		}, L["Classic"]}, -- Zone dropdown menu localized string
		{"Burning Crusade", {
			{3790, BZ["Auchenai Crypts"]},
			{1941, BZ["Caverns of Time"]},
			{3905, BZ["Coilfang Reservoir"]},
			{3562, BZ["Hellfire Ramparts"]},
			{3792, BZ["Mana-Tombs"]},
			{2367, BZ["Old Hillsbrad Foothills"]},
			{3791, BZ["Sethekk Halls"]},
			{3789, BZ["Shadow Labyrinth"]},
			{2366, BZ["The Black Morass"]},
			{3713, BZ["The Blood Furnace"]},
			{3847, BZ["The Botanica"]},
			{3845, BZ["The Eye"]},
			{3849, BZ["The Mechanar"]},
			{3714, BZ["The Shattered Halls"]},
			{3717, BZ["The Slave Pens"]},
			{3715, BZ["The Steamvault"]},
			{3716, BZ["The Underbog"]},
		}, L["Burning Crusade"]}, -- Zone dropdown menu localized string
		{"Wrath of the Lich King", {
			{4494, BZ["Ahn'kahet: The Old Kingdom"]},
			{1941, BZ["Caverns of Time"]},
			{4196, BZ["Drak'Tharon Keep"]},
			{4272, BZ["Halls of Lightning"]},
			{4820, BZ["Halls of Reflection"]},
			{4264, BZ["Halls of Stone"]},
			{4813, BZ["Pit of Saron"]},
			{4100, BZ["The Culling of Stratholme"]},
			{4809, BZ["The Forge of Souls"]},
			{4120, BZ["The Nexus"]},
			{4228, BZ["The Oculus"]},
			{4415, BZ["The Violet Hold"]},
			{206, BZ["Utgarde Keep"]},
			{1196, BZ["Utgarde Pinnacle"]},
		}, L["Wrath of the Lich King"]}, -- Zone dropdown menu localized string
		{"Cataclysm", {
			{4926, BZ["Blackrock Caverns"]},
			{4950, BZ["Grim Batol"]},
			{4945, BZ["Halls of Origination"]},
			{5396, BZ["Lost City of the Tol'vir"]},
			{5088, BZ["The Stonecore"]},
			{5035, BZ["The Vortex Pinnacle"]},
			{5004, BZ["Throne of the Tides"]},
		}, L["Cataclysm"]}, -- Zone dropdown menu localized string
	}, L["Dungeons"]},
	{"Professions", {
		{-181, L["Alchemy"]},
		{-377, L["Archaeology"]},
		{-121, L["Blacksmithing"]},
		{-304, L["Cooking"]},
		{-201, L["Engineering"]},
		{-324, L["First Aid"]},
		{-101, L["Fishing"]},
		{-24, L["Herbalism"]},
		{-371, L["Inscription"]},
		{-373, L["Jewelcrafting"]},
		{-182, L["Leatherworking"]},
		{-264, L["Tailoring"]},
	}, L["Professions"]},
	{"Raids", {
		{3959, BZ["Black Temple"]},
		{3606, BZ["Hyjal Summit"]},
		{4812, BZ["Icecrown Citadel"]},
		{3457, BZ["Karazhan"]},
		{3836, BZ["Magtheridon's Lair"]},
		{2717, BZ["Molten Core"]},
		{3456, BZ["Naxxramas"]},
		{3429, BZ["Ruins of Ahn'Qiraj"]},
		{4075, BZ["Sunwell Plateau"]},
		{3842, BZ["Tempest Keep"]},
		{3428, BZ["Temple of Ahn'Qiraj"]},
		{4500, BZ["The Eye of Eternity"]},
		{4493, BZ["The Obsidian Sanctum"]},
		{4987, BZ["The Ruby Sanctum"]},
		{4722, BZ["Trial of the Crusader"]},
		{4273, BZ["Ulduar"]},
		{3805, BZ["Zul'Aman"]},
	}, L["Raids"]},
	{"World Events", {
		{-370, L["Brewfest"]},
		{-1002, L["Children's Week"]},
		{-364, L["Darkmoon Faire"]},
		{-1007, L["Day of the Dead"]},
		{-1003, L["Hallow's End"]},
		{-1005, L["Harvest Festival"]},
		{-1004, L["Love is in the Air"]},
		{-366, L["Lunar Festival"]},
		{-369, L["Midsummer"]},
		{-1006, L["New Year's Eve"]},
		{-1008, L["Pilgrim's Bounty"]},
		{-374, L["Noblegarden"]},
		{-1001, L["Winter Veil"]},
	}, L["World Events"]},
	{"Miscellaneous", {
		{-365, L["Ahn'Qiraj War"]},
		{-23, L["Cataclysm"]},
		{-1010, L["Dungeon Finder"]},
		{-1, L["Epic"]},
		{-344, L["Legendary"]},
		{-367, L["Reputation"]},
		{-368, L["Invasion"]},
		{-241, L["Tournament"]},
	}, L["Miscellaneous"]},
	
}